USB_HOST_PCKSIZE_Type Union Reference

## Data Fields

struct {
uint32_t BYTE_COUNT:14
uint32_t MULTI_PACKET_SIZE:14
uint32_t SIZE:3
uint32_t AUTO_ZLP:1
} | bit
uint32_t | reg

## Detailed Description

Definition at line 1464 of file usb.h.

## Field Documentation

## AUTO_ZLP

uint32_t USB_HOST_PCKSIZE_Type::AUTO_ZLP

bit: 31 Automatic Zero Length Packet

Definition at line 1469 of file usb.h.

## bit

struct { ... } USB_HOST_PCKSIZE_Type::bit

Structure used for bit access

## BYTE_COUNT

uint32_t USB_HOST_PCKSIZE_Type::BYTE_COUNT

bit: 0..13 Byte Count

Definition at line 1466 of file usb.h.

## MULTI_PACKET_SIZE

uint32_t USB_HOST_PCKSIZE_Type::MULTI_PACKET_SIZE

bit: 14..27 Multi Packet In or Out size

Definition at line 1467 of file usb.h.

## reg

uint32_t USB_HOST_PCKSIZE_Type::reg

Type used for register access

Definition at line 1471 of file usb.h.

## SIZE

uint32_t USB_HOST_PCKSIZE_Type::SIZE

bit: 28..30 Pipe size

Definition at line 1468 of file usb.h.

The documentation for this union was generated from the following file:

- /storage/Shared/Documents/Projects/ePenguin/ePenguin-Software-Framework/arch/arm/SAME54/SAME54A/mcu/inc/component/usb.h